--NAME:default_gesa_snmp_pc
--INFRA:GESA
--PLUGINS:GESA_ICMP_PC,GESA_SNMP_PC_LOAD,GESA_SNMP_PC_WINDOWS_MEM,GESA_SNMP_PC_WINDOWS_MEM_SWAP,GESA_SNMP_PC_WINDOWS_STORAGE

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_pc_ip','Pattern de supervision pour les PC afin que ceux-ci ne génèrent pas une erreur quand le PC est éteint.');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP_PC',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_pc_ip'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP_PC'),
    '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp_pc -a $NODENAME 200,50% 500,100%',
    300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_PC_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_pc_ip'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PC_LOAD'),
    '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_load_pc -a $NODENAME $SNMP_COM 80 90',
    300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_PC_WINDOWS_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_pc_ip'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PC_WINDOWS_MEM'),
    '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage_pc -a $NODENAME $SNMP_COM "^Physical Memory$" 80 90',
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_PC_WINDOWS_MEM_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_pc_ip'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PC_WINDOWS_MEM_SWAP'),
    '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage_pc -a $NODENAME $SNMP_COM "^Virtual Memory$" 80 90',
    300000,4);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_PC_WINDOWS_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_pc_ip'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PC_WINDOWS_STORAGE'),
    '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage_pc -a $NODENAME $SNMP_COM "^C:" 80 90',
    300000,4);


-- CMD NRPE.CONF
--command[check_icmp]=/usr/local/esia/plugins/check_icmp_pc.php -H $ARG1$ -w $ARG2$ -c $ARG3$
--command[check_snmp_load]=/usr/local/esia/plugins/check_snmp_pc_load.php -H $ARG1$ -C $ARG2$ -w $ARG3$ -c $ARG4$
--command[check_snmp_storage_pc]=/usr/local/esia/plugins/check_snmp_pc_storage.php -H $ARG1$ -C $ARG2$ -m $ARG3$ -w $ARG4$ -c $ARG5$