--NAME:GESA_SNMP_STORMSHIELD_VPN
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_VPN','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_stormshield_current_vpns -a $IP $SNMP_COM <MIN_WARN,MAX_WARN> <MIN_CRIT,MAX_CRIT>',300000,'Check le nombre de VPNs IPSec actuellement actifs sur un parefeu stormshield.

Exemples : 
$IP $SNMP_COM 4 3
$IP $SNMP_COM 0,100 0,200
$IP $SNMP_COM 4,100 3,200

L''exemple 1 retournera warning si le nombre de vpns est <= 4 et critique si il est 3.

L''exemple 2 retournera warning si le nombre de vpns est >= 100 et critique si il est >= 200.

L''exemple 3 fait les 2 exemples précédents en même temps.','false',7,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_VPN'),'GAUGE','#(\d+)\s*matures#',300,DEFAULT,'mature',0,-1,'number','LINE1','#83bc00',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_VPN'),'GAUGE','#(\d+)\s*larval#',300,DEFAULT,'larval',0,-1,'number','LINE1','#ffaa00',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_VPN'),'GAUGE','#(\d+)\s*dying#',300,DEFAULT,'dying',0,-1,'number','LINE1','#ff00ff',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_VPN'),'GAUGE','#(\d+)\s*dead#',300,DEFAULT,'dead',0,-1,'number','LINE1','#ff0000',NULL,NULL,NULL);
